Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.aggregate
Interface AggregateFactory

    public interface AggregateFactory

A factory of aggregate geometric objects. All aggregates created through this interface will use the factory's coordinate reference system. Creating aggregates in a different CRS may requires a different instance of `AggregateFactory`.

Since:
  GeoAPI 2.1
Version:
  ISO 19107
TODO:
  Need to check if ISO 19107 defines constructors for aggregates.

Method Summary
`MultiCurve` | `createMultiCurve(Set<OrientableCurve> curves)` Creates a multi curve by a set of curves.
`MultiPoint` | `createMultiPoint(Set<Point> points)` Creates a multi point by a set of points.
`MultiPrimitive` | `createMultiPrimitive(Set<Primitive> primitives)` Creates a multi primitive by a set of primitives.
`MultiSurface` | `createMultiSurface(Set<OrientableSurface> surfaces)` Creates a multi surface by a set of surfaces.

Method Detail

### createMultiPrimitive

    MultiPrimitive createMultiPrimitive(Set<Primitive> primitives)

  Creates a multi primitive by a set of primitives. The created `MultiPrimitive` will hold only references to the given primitive, e.g. changes in the primitive instances will have consequences in the geometric behaviour of the `MultiPrimitive` and vice versa.

  Parameters:
    `points` - A set of primitives.
  Returns:
    the resulting multi primitive.

### createMultiPoint

    MultiPoint createMultiPoint(Set<Point> points)

  Creates a multi point by a set of points. The created `MultiPoint` will hold only references to the given points, e.g. changes in the point instances will have consequences in the geometric behaviour of the `MultiPoint` and vice versa.

  Parameters:
    `points` - A set of points.
  Returns:
    the resulting multi point.

### createMultiCurve

    MultiCurve createMultiCurve(Set<OrientableCurve> curves)

  Creates a multi curve by a set of curves. The created `MultiCurve` will hold only references to the given curves, e.g. changes in the curve instances will have consequences in the geometric behaviour of the `MultiCurve` and vice versa.

  Parameters:
    `curves` - A set of curves.
  Returns:
    the resulting multi curve.

### createMultiSurface

    MultiSurface createMultiSurface(Set<OrientableSurface> surfaces)

  Creates a multi surface by a set of surfaces. The created `MultiSurface` will hold only references to the given surfaces, e.g. changes in the surface instances will have consequences in the geometric behaviour of the `MultiSurface` and vice versa.

  Parameters:
    `surfaces` - A set of surfaces.
  Returns:
    the resulting multi surface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.